var airboxApp = angular.module('airbox',['ui.bootstrap','airboxDSS','airboxControllers','gettext','ngRoute','angular-confirm']);


airboxApp.config(['$routeProvider','$httpProvider', function($routeProvider,$httpProvider) {
    $routeProvider
	.when('/', {
	    templateUrl: 'partials/control.html',
	    controller: 'OverviewCtrl',
	    routeName: 'overview'
	})
	.when('/airbox_conf', {
	    templateUrl: 'partials/airbox_conf.html',
	    controller: 'AirboxConfCtrl',
	    routeName: 'airbox_conf'
	})
    	.when('/app_conf', {
	    templateUrl: 'partials/app_conf.html',
	    controller: 'OverviewCtrl',
	    routeName: 'app_conf'
	})
	.otherwise({redirectTo:'/'});

    // added by Jonas
    $httpProvider.defaults.xsrfCookieName = 'csrf-token';
    $httpProvider.defaults.xsrfHeaderName = 'X-Csrf-Token';

}]);
